> For the complete documentation index, see [llms.txt](https://docs.navigaglobal.com/mobile/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.navigaglobal.com/mobile/statistics-events.md).

# Statistics Events

All Apps dispatch statistics events via different Statistics Providers. Default is the Firebase Analytics integration (Google Analytics v4).

For each action or view in the app an event is triggered. Those events has parameters, described on these sub pages.

## Global attributes

The attributes of each event type may differ but each event also contains the following global attributes:

* **userIsLoggedIn (iOS)** - boolean, denotes a users login status on iOS
* **loggedIn (Android)** - boolean, denotes a users login status on Android
* **userID** - string, the unique identifer for a given user
* **appleAppTracking (iOS)** - string, status of users consent with one of the following statuses: notDetermined, restricted, denied or authorized


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.navigaglobal.com/mobile/statistics-events.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
